catalog.category.create
Create a category node (ltree path) within the tenant.
- Scope:
catalog.category.write - System: no
- Reachable from:
POST /v1/commands/catalog.category.create(tenant credential) · MCP toolcatalog.category.create· SDKclient.call('catalog.category.create', …) - Events:
catalog.category.created
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "handle": { "minLength": 1, "type": "string" }, "name": { "minLength": 1, "type": "string" }, "path": { "minLength": 1, "pattern": "^[A-Za-z0-9_]+(\\.[A-Za-z0-9_]+)*$", "type": "string" }, "status": { "type": "string" } }, "required": [ "path", "name", "handle" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "category_id": { "type": "string" } }, "required": [ "category_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)